将单个对话记录到长期记忆中。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。调用者提供 user_id(必需)和可选的agent_id 以识别最终用户。
POST /api/v1/projects/{id}/memory/turns
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/turns' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}'
请求示例
{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{}
响应示例 (200)
{}
响应示例 (201)
{}
响应示例 (201)
{}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}